Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3657 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoVLOŽENÍ KOMNTÁŘE V PARAMETRU

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 421
Přímý odkaz na tuto zprávu Téma: VLOŽENÍ KOMNTÁŘE V PARAMETRU
    Zasláno: 17.říj.2018 v 13:26
Je možné vytvořit komentář k parametru zároveň s vytvořením parametru pomocí ILOGICU?
Když má toto:
Dim oParams As Parameters
Dim oPartDoc As PartDocument = ThisDoc.Document
Dim oPartCompDef As PartComponentDefinition = oPartDoc.ComponentDefinition
oParams = oPartCompDef.Parameters

Dim oUserParams As UserParameters = oParams.UserParameters

Try
  p = Parameter("A")
Catch
  oUserParams.AddByValue("A","Neni", UnitsTypeEnum.kTextUnits) 
End Try 

 Chtěl bych aby v tabulce uživatelských parametrů přibyl u tohoto parametru i kometář např.: nebreč! 

Jak to připsat k tomuto pravidlu??
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1407
Přímý odkaz na tuto zprávu Zasláno: 17.říj.2018 v 14:12
Třeba tohle?

Dim part As PartDocument = ThisDoc.Document
Dim userParams = part.ComponentDefinition.Parameters.UserParameters
Dim p As Inventor.Parameter
Try
 p = userParams("P1")
Catch
 p = userParams.AddByValue("P1", 1, "mm")
End Try
p.Comment = "nebreč!"
 
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 7385:VIPChyba "Není implementováno" při propojení XLS parametrů v Inventoru 2010.
Tip 6023:Vložení hodnoty vypočteného číselného parametru bez jednotek "ul".
Tip 4844:Délka v kusovníku neodpovídá délce profilu vloženého z Obsahového centra.
Tip 2908:Jaký je rozdíl mezi knihovnou bloků v DesignCenter a v paletě nástrojů?
Tip 8020:Jak v Revitu vykazovat vnořené rodiny?
Tip 3039:Natočení bloku vkládaného pomocí palety nástrojů.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,133 sekund.